[arch-commits] Commit in python-tox/repos (community-any community-any/PKGBUILD)

Felix Yan fyan at archlinux.org
Sat Sep 6 02:13:22 UTC 2014


    Date: Saturday, September 6, 2014 @ 04:13:22
  Author: fyan
Revision: 118449

archrelease: copy trunk to community-any

Added:
  python-tox/repos/community-any/
  python-tox/repos/community-any/PKGBUILD
    (from rev 118448, python-tox/trunk/PKGBUILD)

----------+
 PKGBUILD |   57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)

Copied: python-tox/repos/community-any/PKGBUILD (from rev 118448, python-tox/trunk/PKGBUILD)
===================================================================
--- community-any/PKGBUILD	                        (rev 0)
+++ community-any/PKGBUILD	2014-09-06 02:13:22 UTC (rev 118449)
@@ -0,0 +1,57 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Thomas Weißschuh <thomas t-8ch.de>
+# Contributor: George Brooke <george+arch.aur at george-brooke.co.uk>
+# Contributor: Sebastian Wiesner <lunaryorn googlemail com>
+
+pkgbase=python-tox
+pkgname=(python-tox python2-tox)
+pkgver=1.7.2
+pkgrel=3
+pkgdesc='Python virtualenv management and testing tool'
+arch=('any')
+url='http://testrun.org/tox/latest/'
+license=('GPL2')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-py' 'python2-py' 'python-virtualenv' 'python2-virtualenv')
+checkdepends=('python-pytest' 'python2-pytest')
+source=("http://pypi.python.org/packages/source/t/tox/tox-${pkgver}.tar.gz")
+sha256sums=('267fc86871ae2a398d3e7b4b03e8113b3305533c72ef8de616cbc7258039f1f8')
+
+prepare() {
+  cp -a tox-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir/tox-$pkgver"
+  python setup.py build
+
+  cd "$srcdir/tox-$pkgver-py2"
+  python2 setup.py build
+}
+
+check() {
+  # Not working correctly, as some tests need the "tox" executable
+
+  cd "$srcdir/tox-$pkgver"
+  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" py.test || warning "Tests failed"
+
+  cd "$srcdir/tox-$pkgver-py2"
+  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" py.test2 || warning "Tests failed"
+}
+
+package_python-tox() {
+  depends=('python-py' 'python-virtualenv')
+
+  cd "$srcdir/tox-$pkgver"
+  python setup.py install --root="$pkgdir" --optimize=1
+  ln -s tox "${pkgdir}/usr/bin/tox3"
+}
+
+package_python2-tox() {
+  depends=('python2-py' 'python2-virtualenv')
+
+  cd "$srcdir/tox-$pkgver"
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  mv "${pkgdir}"/usr/bin/tox{,2}
+  mv "${pkgdir}"/usr/bin/{tox-quickstart,tox2-quickstart}
+}




More information about the arch-commits mailing list